# Get Inbound Site

This operation is used to retrived the Inbound Sites.

Endpoint: GET /api/v1/inboundsites
Version: 1.0.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Query parameters:

  - `skip` (integer)

  - `limit` (integer)

  - `sort` (string)

  - `query` (string)
    Searches for inbound sites using a keyword.

  - `searchBy` (string)

  - `fetchPrimarySite` (boolean)
    Only get default site in response, if set true.

  - `timestamp` (string)
    Get inbound site which are created before or after the provided timestamp.

  - `status` (string)
    Only get default site in response, if set true.

## Response 200:

  - `200` (unknown)
    Requested Inbound Sites list has been retrived successfully.

## Response 200 fields (application/json):

  - `inboundsites` (array)
    List of inbound sites

  - `inboundsites.inboundSiteId` (string)
    A unique identifier assigned to the inbound site.
    Example: xy277mD9Plbl

  - `inboundsites.name` (string)
    The name of the inbound site.
    Example: Gandhi Nagar

  - `inboundsites.type` (string)
    The type of the inbound site that is Site, Building, Floor, Mailstop.
    Example: site

  - `inboundsites.locationId` (string)
    The unique identifier of the location associated with the inbound site.
    Example: M0K9QbNMgob

  - `inboundsites.locationHierarchy` (string)
    The hierarchical structure of the inbound site's location (e.g., Site > Building > Floor > Mailstop).
    Example: Gandhi Nagar

  - `inboundsites.status` (string)
    The current status of the inbound site, such as ACTIVE or INACTIVE.
    Example: ACTIVE

  - `inboundsites.defaultSite` (boolean)
    Indicates whether this inbound site is the default site in the system.
    Example: false

  - `pageInfo` (object)

  - `pageInfo.totalCount` (integer)
    The total number of items available across all pages.
    Example: 9

  - `pageInfo.startCount` (integer)
    The starting position of the first item on the current page.
    Example: 1

  - `pageInfo.limit` (integer)
    The maximum number of items that can be displayed on a single page.
    Example: 10

## Response 400:

  - `400` (unknown)
    Invalid request.

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors.

  - `errors.errorCode` (string)
    This error can be validation_error or internal_error or not_found or already_exists
    Example: validation_error

  - `errors.errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: Asset not found.

  - `errors.additionalCode` (string)
    A unique identifier for the error
    Example: 020005

  - `errors.additionalInfo` (string)
    additional information of the error.
    Example: additional information

  - `errors.additionalParameters` (string)
    The field(s) that might be incorrect in the request.
    Example: additional parameters

  - `errors.correlationID` (string)
    Example: correlationId

## Response 401:

  - `401` (unknown)
    The request could not be authorized.

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 500:

  - `500` (unknown)
    The request could not be completed due to an internal error.

